This endpoint accepts parameters such as zip code, specialty, visit reason and accepted insurance to return a filtered set of providers within the developer's directory. The response includes additional information about the provider location objects returned.
The provider_location_id returned in the response can be used to retrieve availability in the endpoint /v1/provider_locations/availability.
The Zocdoc ID of the provider's specialty. See Reference Data for options. One of specialty_id or visit_reason_id is required. If visit_reason_id is not supplied, the default visit reason for the specialty will be used.
The Zocdoc ID for the visit reason. See Reference Data for options. One of specialty_id or visit_reason_id is required. If both visit_reason_id and specialty_id are supplied, the specialty must be the visit reason's corresponding specialty.
The Zocdoc ID of the patient's insurance plan. Use the Get Insurance Plans endpoint to retrieve available plans.
- Sandboxhttps://api-developer-sandbox.zocdoc.com/v1/provider_locations
- Productionhttps://api-developer.zocdoc.com/v1/provider_locations
- ClientCredentialsFlow
- AuthorizationCodeFlow
curl -i -X GET \
'https://api-developer-sandbox.zocdoc.com/v1/provider_locations?zip_code=36925&latitude=-90&longitude=-180&specialty_id=sp_153&visit_reason_id=pc_FRO-18leckytNKtruw5dLR&page=0&page_size=0&insurance_plan_id=ip_31820&visit_type=all&max_distance_to_patient_mi=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Succesful
{ "request_id": "string", "page": 0, "page_size": 0, "total_count": 0, "next_url": "string", "data": { "search_parameters": { … }, "provider_locations": [ … ] } }